CVE-2022-30321

NameCVE-2022-30321
DescriptionHashiCorp go-getter through 2.0.2 does not safely perform downloads (issue 1 of 3).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs1011741

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
golang-github-hashicorp-go-getter (PTS)stretch, buster0.0~git20160316.0.575ec4e-1vulnerable
bookworm, bullseye, sid1.4.1-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
golang-github-hashicorp-go-gettersource(unstable)(unfixed)1011741

Notes

https://discuss.hashicorp.com/t/hcsec-2022-13-multiple-vulnerabilities-in-go-getter-library/39930
https://github.com/hashicorp/go-getter/pull/359
https://github.com/hashicorp/go-getter/commit/a2ebce998f8d4105bd4b78d6c99a12803ad97a45 (v1.6.0)

Search for package or bug name: Reporting problems